/**
 * Copyright 2019 the orbs-client-sdk-javascript authors
 * This file is part of the orbs-client-sdk-javascript library in the Orbs project.
 *
 * This source code is licensed under the MIT license found in the LICENSE file in the root directory of this source tree.
 * The above notice should be included in all copies or substantial portions of the software.
 */
export declare type Argument = ArgBool | ArgUint32 | ArgUint64 | ArgUint256 | ArgString | ArgBytes | ArgBytes20 | ArgBytes32 | ArgBoolArray | ArgUint32Array | ArgUint64Array | ArgUint256Array | ArgStringArray | ArgBytesArray | ArgBytes20Array | ArgBytes32Array;
export declare type ArgBool = {
    type: "bool";
    value: boolean;
};
export declare type ArgBoolArray = {
    type: "boolArray";
    value: Array<boolean>;
};
export declare type ArgUint32 = {
    type: "uint32";
    value: number;
};
export declare type ArgUint32Array = {
    type: "uint32Array";
    value: Array<number>;
};
export declare type ArgUint64 = {
    type: "uint64";
    value: bigint;
};
export declare type ArgUint64Array = {
    type: "uint64Array";
    value: Array<bigint>;
};
export declare type ArgUint256 = {
    type: "uint256";
    value: bigint;
};
export declare type ArgUint256Array = {
    type: "uint256Array";
    value: Array<bigint>;
};
export declare type ArgString = {
    type: "string";
    value: string;
};
export declare type ArgStringArray = {
    type: "stringArray";
    value: Array<string>;
};
export declare type ArgBytes = {
    type: "bytes";
    value: Uint8Array;
};
export declare type ArgBytesArray = {
    type: "bytesArray";
    value: Array<Uint8Array>;
};
export declare type ArgBytes20 = {
    type: "bytes20";
    value: Uint8Array;
};
export declare type ArgBytes20Array = {
    type: "bytes20Array";
    value: Array<Uint8Array>;
};
export declare type ArgBytes32 = {
    type: "bytes32";
    value: Uint8Array;
};
export declare type ArgBytes32Array = {
    type: "bytes32Array";
    value: Array<Uint8Array>;
};
export declare const argBool: (value: boolean) => ArgBool;
export declare const argBoolArray: (value: boolean[]) => ArgBoolArray;
export declare const argUint32: (value: number) => ArgUint32;
export declare const argUint32Array: (value: number[]) => ArgUint32Array;
export declare const argUint64: (value: number | bigint) => ArgUint64;
export declare const argUint64Array: (value: bigint[]) => ArgUint64Array;
export declare const argUint256: (value: bigint) => ArgUint256;
export declare const argUint256Array: (value: bigint[]) => ArgUint256Array;
export declare const argString: (value: string) => ArgString;
export declare const argStringArray: (value: string[]) => ArgStringArray;
export declare const argBytes: (value: Uint8Array) => ArgBytes;
export declare const argBytesArray: (value: Uint8Array[]) => ArgBytesArray;
export declare const argBytes20: (value: Uint8Array) => ArgBytes20;
export declare const argBytes20Array: (value: Uint8Array[]) => ArgBytes20Array;
export declare const argBytes32: (value: Uint8Array) => ArgBytes32;
export declare const argBytes32Array: (value: Uint8Array[]) => ArgBytes32Array;
export declare const argAddress: (address: string) => ArgBytes;
export declare function packedArgumentsEncode(args: Argument[]): Uint8Array;
export declare function packedArgumentsDecode(buf: Uint8Array): Argument[];
